<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:28:39 CEST 2020 -->
<title>I-Index</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/Activator.html#info-java.lang.String-">info(String)</a></span> - Static method in class org.polarsys.chess.service.internal.<a href="../org/polarsys/chess/service/internal/Activator.html" title="class in org.polarsys.chess.service.internal">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/service/CHESSServiceFactory.html#init-org.eclipse.papyrus.infra.core.services.ServicesRegistry-">init(ServicesRegistry)</a></span> - Method in class org.polarsys.chess.service.internal.service.<a href="../org/polarsys/chess/service/internal/service/CHESSServiceFactory.html" title="class in org.polarsys.chess.service.internal.service">CHESSServiceFactory</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isAssertion-java.lang.Object-">isAssertion(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isAttribute-java.lang.String-java.lang.Object-">isAttribute(String, Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isBlockType-java.lang.Object-">isBlockType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isBlockTypeAttribute-java.lang.String-java.lang.Object-">isBlockTypeAttribute(String, Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isBooleanType-java.lang.Object-">isBooleanType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isBooleanType-java.lang.Object-">isBooleanType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isCallEvent-java.lang.Object-">isCallEvent(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/gui/utils/CHESSEditorUtils.html#isCHESSProject-org.eclipse.ui.IEditorPart-">isCHESSProject(IEditorPart)</a></span> - Static method in class org.polarsys.chess.service.gui.utils.<a href="../org/polarsys/chess/service/gui/utils/CHESSEditorUtils.html" title="class in org.polarsys.chess.service.gui.utils">CHESSEditorUtils</a></dt>
<dd>
<div class="block">Check if the editor passed as a parameter is a CHESS editor; that is if
 the input of the editor belongs to a project with the CHESS nature</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isCommandOperation-java.lang.String-java.lang.Object-">isCommandOperation(String, Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isContinuousType-java.lang.Object-">isContinuousType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isContractInstanceOwnerEqualToComponent-java.lang.Object-java.lang.Object-">isContractInstanceOwnerEqualToComponent(Object, Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isDefine-java.lang.Object-">isDefine(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isEnumType-java.lang.Object-">isEnumType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isEnumType-java.lang.Object-">isEnumType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isEnumValue-java.lang.String-java.lang.Object-">isEnumValue(String, Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isEventType-java.lang.Object-">isEventType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isFinalTransition-java.lang.Object-">isFinalTransition(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isInOutPort-java.lang.Object-">isInOutPort(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isInputPort-java.lang.Object-">isInputPort(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isInputPort-java.lang.Object-">isInputPort(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isIntegerType-java.lang.Object-">isIntegerType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isInterfaceAssertion-java.lang.Object-">isInterfaceAssertion(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isIntervalType-java.lang.Object-">isIntervalType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isIntType-java.lang.Object-">isIntType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isNumberType-java.lang.Object-">isNumberType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isOperation-java.lang.String-java.lang.Object-">isOperation(String, Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isOutputPort-java.lang.Object-">isOutputPort(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isParameterAssumptions-java.lang.Object-">isParameterAssumptions(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isRangeType-java.lang.Object-">isRangeType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isRealType-java.lang.Object-">isRealType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isRealType-java.lang.Object-">isRealType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isRefinementAssertion-java.lang.Object-">isRefinementAssertion(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#isTransitionWithNoEvent-java.lang.Object-">isTransitionWithNoEvent(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html#isWordType-java.lang.Object-">isWordType(Object)</a></span> - Method in class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/ChessSystemModel.html" title="class in org.polarsys.chess.service.core.model">ChessSystemModel</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
